semilimes mcu sdk 1.1.3 semilimes Software Development Kit for microcontrollers

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FcBucketPicker Class Reference

## Public Member Functions
| ~FcBucketPicker ()
void | set (const char *refname, const char *title, bool reqSel, const char *filter, const char *actBtnTitle, bool multiSel)
void | addValue (const char *id, const char *featuretype)
void | appendValue ()
char * | get ()

## Public Attributes
char | featureTypes [4][10] = {"post", "profile", "groupchat", "channel"}

## Constructor & Destructor Documentation

## ◆ ~FcBucketPicker()

FcBucketPicker::~FcBucketPicker | ( |  | ) |
| inline

Returns
  void

## Member Function Documentation

## ◆ addValue()

void FcBucketPicker::addValue | ( | const char * | id,
|  | const char * | featuretype )

Parameters

  id | - it is the id of the bucket
  featuretype | - It can be of the following types: char featureTypes[4][10] = {"post", "profile", "groupchat", "channel"};

Returns
  void

## ◆ appendValue()

void FcBucketPicker::appendValue | ( |  | ) |

Returns
  void

## ◆ get()

char * FcBucketPicker::get | ( |  | ) |

Returns
  char*

## ◆ set()

void FcBucketPicker::set | ( | const char * | refname,
|  | const char * | title,
|  | bool | reqSel,
|  | const char * | filter,
|  | const char * | actBtnTitle,
|  | bool | multiSel )

Parameters

  refname | - it is the reference name of the object
  title | - is the text displayed next to the picker
  reqSel | - indicates if the selection is required to submit the form
  filter | - determines what type of bucket one wants the user to pick from. Allowed (multiple) values are: featureTypes[4][10] = {"post", "profile", "groupchat", "channel"};
  actBtnTitle | - is the label of the pick button
  multiSel | - is a flag that allows the user to select multiple objects in the UI

Returns
  void

## Member Data Documentation

## ◆ featureTypes

char FcBucketPicker::featureTypes[4][10] = {"post", "profile", "groupchat", "channel"}

Parameters

  char | featureTypes[4][10] = {"post", "profile", "groupchat", "channel"};

The documentation for this class was generated from the following files:

- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/fc_bucket_picker.h
- C:/Users/flavio_unige/Desktop/semilimes/sdk/semilimes MCU SDK/github/semilimes_mcu_sdk/src/components/fc_bucket_picker.cpp